From 14dffd50cf8d8ba197589b28db6486343e8ea15a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Wed, 5 Jun 2013 17:38:44 +0200
Subject: Use correct link parameters in project menu items

--HG--
extra : source : 4869e53e41826b91b407fb09ed104ac17b4465f8
---
 app/views/activities/index.html.erb |    4 ++--
 lib/redmine.rb                      |   10 +++++++---
 2 files changed, 9 insertions(+), 5 deletions(-)

diff --git a/app/views/activities/index.html.erb b/app/views/activities/index.html.erb
index afa3791..a06b123 100644
--- a/app/views/activities/index.html.erb
+++ b/app/views/activities/index.html.erb
@@ -21,12 +21,12 @@
 <%= content_tag('p', l(:label_no_data), :class => 'nodata') if @events_by_day.empty? %>
 
 <div style="float:left;">
-<%= link_to_content_update('&#171; ' + l(:label_previous),
+<%= link_to_content_update('&#171; '.html_safe + l(:label_previous).html_safe,
                    params.merge(:from => @date_to - @days - 1),
                    :title => l(:label_date_from_to, :start => format_date(@date_to - 2*@days), :end => format_date(@date_to - @days - 1))) %>
 </div>
 <div style="float:right;">
-<%= link_to_content_update(l(:label_next) + ' &#187;',
+<%= link_to_content_update(l(:label_next).html_safe + ' &#187;'.html_safe,
                    params.merge(:from => @date_to + @days - 1),
                    :title => l(:label_date_from_to, :start => format_date(@date_to), :end => format_date(@date_to + @days - 1))) unless @date_to >= Date.today %>
 </div>
diff --git a/lib/redmine.rb b/lib/redmine.rb
index f2ed25d..b723516 100644
--- a/lib/redmine.rb
+++ b/lib/redmine.rb
@@ -230,7 +230,9 @@ Redmine::MenuManager.map :project_menu do |menu|
   }
 
   menu.push(:overview, { :controller => 'projects', :action => 'show' })
-  menu.push(:activity, { :controller => 'activities', :action => 'index' })
+  menu.push(:activity, { :controller => 'activities', :action => 'index'}, {
+              :param => :project_id
+            })
   menu.push(:roadmap, { :controller => 'versions', :action => 'index' }, {
               :param => :project_id,
               :if => Proc.new { |p| p.shared_versions.any? },
@@ -240,7 +242,7 @@ Redmine::MenuManager.map :project_menu do |menu|
 
                 versions.collect do |version|
                   Redmine::MenuManager::MenuItem.new("version-#{version.id}".to_sym,
-                                                     { :controller => 'version', :action => 'show', :id => version.id },
+                                                     { :controller => 'versions', :action => 'show', :project_id => p, :id => version.id},
                                                      {
                                                        :caption => version.name,
                                                        :parent => :roadmap
@@ -364,15 +366,17 @@ Redmine::MenuManager.map :project_menu do |menu|
               :if => Proc.new {|p| User.current.allowed_to?(:manage_files, p) }
             })
   menu.push(:repository, { :controller => 'repositories', :action => 'show' }, {
+              :param => :project_id,
               :if => Proc.new { |p| p.repository && !p.repository.new_record? }
             })
   menu.push(:settings, { :controller => 'projects', :action => 'settings' }, {
               :last => true,
+              :param => :project_id,
               :children => Proc.new { |p|
                 @project = p # @project used in the helper
                 project_settings_tabs.collect do |tab|
                   Redmine::MenuManager::MenuItem.new("settings-#{tab[:name]}".to_sym,
-                                                     { :controller => 'projects', :action => 'settings', :id => p, :tab => tab[:name] },
+                                                     { :controller => 'projects', :action => 'settings', :project_id => p, :tab => tab[:name] },
                                                      {
                                                        :caption => tab[:label]
                                                      })
-- 
1.7.1


